<template>
    <div
    class="pt-6 grid grid-cols-1 gap-3 sm:grid-cols-1 md:grid-cols-1 lg:grid-cols-2 xl:grid-cols-2"
  >
    <div v-for="achievement in Achievements" v-bind:key="achievement.Id">
      <AchievementCard
        v-bind:name="achievement.name"
        v-bind:requiredSteps="achievement.requiredSteps"
      />
    </div>
 </div>
</template>

};

<script>
import axios from "axios";
import AchievementCard from "../AchievementCard.vue";

export default {
  name: "AchievementTable",
  components: {
      AchievementCard,
  },
  data() {
    return {
      Achievements: [],
      user_url: import.meta.env.VITE_USER_URL

    };
  },
  methods: {
    GetAchivements() {
      axios
        .request({
          method: "get",
          url: this.user_url + "/users/getAchievements",
          headers: {
            "Content-Type": "application/json",
            "Access-Control-Allow-Origin": "*",
            Accept: "application/json",
            Authorization: `${localStorage.token}`,
          },
        })
        .then((response) => {
          this.Achievements = response.data;
          console.log("theses are the Achievements: ", response.data);
        })
        .catch(function (error) {
          console.log(error);
        });
    },
  },
  mounted() {
    this.GetAchivements();
  },
};
</script>

<style>

</style>